Debian Bug report logs - #411425
ITA: scheme48 -- A simple, modular, and lightweight Scheme implementation

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jorgen Schaefer <forcer@debian.org>

Date: Sun, 18 Feb 2007 23:24:01 UTC

Owned by: Trent Buck <trentbuck@gmail.com>

Severity: normal

Fixed in version scheme48/1.7-1

Done: trentbuck@gmail.com (Trent W. Buck)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jorgen Schaefer <forcer@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jorgen Schaefer <forcer@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: scheme48 -- A simple, modular, and lightweight Scheme implementation
Date: Mon, 19 Feb 2007 00:20:57 +0100
Package: wnpp
Severity: normal

I intend to orphan the scheme48 package. New upstream version available,
and another maintainer is actively working on scheme48-related stuff
(see the scheme48 maintainer task force).

The package description is:
 Scheme48 is an implementation of Scheme written by Richard Kelsey
 and Jonathan Rees. It is based on a byte-code interpreter and
 incorporates such elements as a sophisticated module system, a
 pre-emptive & user-level thread system, a well-integrated
 interactive environment, Clinger's explicit renaming low-level
 macros, and decent efficiency for its architecture.

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-k7
Locale: LANG=C, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 411425@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Trent Buck <trentbuck@gmail.com>
Cc: 410401@bugs.debian.org, 411425@bugs.debian.org
Subject: Re: scheme48: Please package new upstream version
Date: Thu, 21 Jun 2007 14:37:39 +0200
On Fri, Mar 16, 2007 at 03:43:41AM +1100, Trent Buck wrote:
> On Thu, Mar 15, 2007 at 05:15:01PM +0100, Lionel Elie Mamane wrote:

>> As such, scheme48 is mostly orphaned in Debian. Do you want to
>> adopt the Scheme48 package?

> I'd be happy to, assuming the demands are as minimal as they appear to
> be (one hour per week or less).  The only problem is...

> ...I'm not a DD, and Jorgen was my sponsor.  So I haven't bothered to
> find a new one yet (...)

What's the situation? I intended to sponsor your, but as my failure to
do any step in that direction in several months show, it will not
happen in a reasonable timeframe. Have you looked for another sponsor?

(You are welcome to take scsh, too, if you are interested.)

-- 
Lionel



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Trent Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 411425@bugs.debian.org (full text, mbox):

From: "Trent Buck" <trentbuck@gmail.com>
To: Lionel Elie Mamane <lionel@mamane.lu>
Cc: 410401@bugs.debian.org, 411425@bugs.debian.org
Subject: Re: scheme48: Please package new upstream version
Date: Fri, 22 Jun 2007 02:05:54 +1000
[Message part 1 (text/plain, inline)]
On Thu, Jun 21, 2007 at 02:37:39PM +0200, Lionel Elie Mamane wrote:
> On Fri, Mar 16, 2007 at 03:43:41AM +1100, Trent Buck wrote:
> > On Thu, Mar 15, 2007 at 05:15:01PM +0100, Lionel Elie Mamane wrote:
> 
> >> As such, scheme48 is mostly orphaned in Debian. Do you want to
> >> adopt the Scheme48 package?
> 
> > I'd be happy to, assuming the demands are as minimal as they appear to
> > be (one hour per week or less).  The only problem is...
> 
> > ...I'm not a DD, and Jorgen was my sponsor.  So I haven't bothered to
> > find a new one yet (...)
> 
> What's the situation? I intended to sponsor your, but as my failure to
> do any step in that direction in several months show, it will not
> happen in a reasonable timeframe. Have you looked for another sponsor?
> 
> (You are welcome to take scsh, too, if you are interested.)

Well, let me summarize the salient data:

- the s48 package is easy to maintain;
- the scsh package is a horrendous spaghetti of unannotated changes to
  the source code; and
- I haven't actually *used* s48 at all lately, I still use scsh a bit.

I'm happy to take over s48 maintenance.  I can probably maintain scsh
as well, but I don't have the time to "clean up" the diff.gz (e.g. to
use quilt).

Features that I have ready for (almost) immediate upload to Debian are:

- scsh 0.6.7
- s48 1.6
- amd64 support (via i386 libs)

One feature that I have started on, but not finished, is support for
pure 64-bit systems.

I'm also reluctant to upload s48 1.6 because it *will* break slime48
in Debian.  On the other hand, slime48 isn't available for Debian, and
I suppose anyone using slime48 can always install the Etch package or
compile s48 1.3 by hand, outside of dpkg.

How about I upload the work I've already done to mentors.debian.net,
but mark it as no-sponsor-needed?  I'll try to do that this week, but
I'll hold off any other action until I hear back from you.
-- 
Trent Buck
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 411425@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: Trent Buck <trentbuck@gmail.com>
Cc: 410401@bugs.debian.org, 411425@bugs.debian.org
Subject: Re: scheme48: Please package new upstream version
Date: Thu, 21 Jun 2007 18:25:19 +0200
On Fri, Jun 22, 2007 at 02:05:54AM +1000, Trent Buck wrote:
> On Thu, Jun 21, 2007 at 02:37:39PM +0200, Lionel Elie Mamane wrote:
>> On Fri, Mar 16, 2007 at 03:43:41AM +1100, Trent Buck wrote:
>>> On Thu, Mar 15, 2007 at 05:15:01PM +0100, Lionel Elie Mamane wrote:

>>>> As such, scheme48 is mostly orphaned in Debian. Do you want to
>>>> adopt the Scheme48 package?

>>> I'd be happy to, (...).  The only problem is...

>>> ...I'm not a DD, and Jorgen was my sponsor.  So I haven't bothered
>>> to find a new one yet (...)

>> What's the situation? I intended to sponsor your, but as my failure
>> to do any step in that direction in several months show, it will
>> not happen in a reasonable timeframe. Have you looked for another
>> sponsor?

>> (You are welcome to take scsh, too, if you are interested.)

> I'm happy to take over s48 maintenance.  I can probably maintain scsh
> as well, but I don't have the time to "clean up" the diff.gz (e.g. to
> use quilt).

> Features that I have ready for (almost) immediate upload to Debian are:

> - scsh 0.6.7

That is already in Debian, so I don't see what you mean there. You
mean an upload just changing Maintainer and/or Uploader lines?

> I'm also reluctant to upload s48 1.6 because it *will* break slime48
> in Debian.  On the other hand, slime48 isn't available for Debian, and
> I suppose anyone using slime48 can always install the Etch package or
> compile s48 1.3 by hand, outside of dpkg.

IMHO, we also cannot stay frozen on s48 1.3 forever because slime48 is
not following and never will. If you think slime48 is that important,
then at most do two parallel packages of 1.3 and "latest", but I
wouldn't bother in your shoes - just latest.

> How about I upload the work I've already done to mentors.debian.net,
> but mark it as no-sponsor-needed?  I'll try to do that this week, but
> I'll hold off any other action until I hear back from you.

I don't think you understood me correctly: I will not be a reliable
sponsor for the months to come. You need to find another sponsor. So
tagging them no-sponsor-need doesn't seem a good idea to me.

-- 
Lionel



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Trent Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 411425@bugs.debian.org (full text, mbox):

From: "Trent Buck" <trentbuck@gmail.com>
To: Lionel Elie Mamane <lionel@mamane.lu>
Cc: 410401@bugs.debian.org, 411425@bugs.debian.org
Subject: Re: scheme48: Please package new upstream version
Date: Fri, 22 Jun 2007 02:55:21 +1000
[Message part 1 (text/plain, inline)]
On Thu, Jun 21, 2007 at 06:25:19PM +0200, Lionel Elie Mamane wrote:
> > - scsh 0.6.7
> 
> That is already in Debian, so I don't see what you mean there. You
> mean an upload just changing Maintainer and/or Uploader lines?

Oh; it must have happened without me noticing.  My main machines are
amd64 at the moment, so it's probably I'd not have seen it.

> > I'm also reluctant to upload s48 1.6 because it *will* break slime48
> > in Debian.  On the other hand, slime48 isn't available for Debian, and
> > I suppose anyone using slime48 can always install the Etch package or
> > compile s48 1.3 by hand, outside of dpkg.
> 
> IMHO, we also cannot stay frozen on s48 1.3 forever because slime48 is
> not following and never will. If you think slime48 is that important,
> then at most do two parallel packages of 1.3 and "latest", but I
> wouldn't bother in your shoes - just latest.

Yes, this is the other side of the fence.  What I'd like to do is find
out who the hell is actually using s48 on Debian, and what proportion
of those users care about slime48.  Any thoughts on how to find those
people?

> I don't think you understood me correctly: I will not be a reliable
> sponsor for the months to come. You need to find another sponsor. So
> tagging them no-sponsor-need doesn't seem a good idea to me.

OK, understood.

Should I file ITA bugs to wnpp for s48 and scsh?
-- 
Trent Buck
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `ITA: scheme48 -- A simple, modular, and lightweight Scheme implementation' from `O: scheme48 -- A simple, modular, and lightweight Scheme implementation'. Request was from "Trent Buck" <trentbuck@gmail.com> to control@bugs.debian.org. (Sun, 08 Jul 2007 05:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Trent Buck" <trentbuck@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 411425@bugs.debian.org (full text, mbox):

From: "Trent Buck" <trentbuck@gmail.com>
To: 411425@bugs.debian.org
Subject: sponsor needed
Date: Sun, 8 Jul 2007 16:21:20 +1000
[Message part 1 (text/plain, inline)]
I'm not a DD, so I can't upload packages to Debian without a sponsor!

http://mentors.debian.net/cgi-bin/sponsor-pkglist?action=details;package=scheme48
-- 
Trent Buck
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Trent Buck <trentbuck@gmail.com>. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sun, 08 Jul 2007 10:36:04 GMT) Full text and rfc822 format available.

Information stored:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Bart Martens <bartm@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #39 received at 411425-quiet@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: Trent Buck <trentbuck@gmail.com>
Cc: 411425-quiet@bugs.debian.org
Subject: ITA: scheme48 -- A simple, modular, and lightweight Scheme implementation
Date: Sun, 25 Nov 2007 14:38:23 +0100
[Message part 1 (text/plain, inline)]
Hi Trent,

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=411425

Still looking for a sponsor ?  Can I help ?

Regards,

Bart Martens

[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Trent W\. Buck" <trentbuck@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #44 received at 411425-quiet@bugs.debian.org (full text, mbox):

From: "Trent W\. Buck" <trentbuck@gmail.com>
To: Bart Martens <bartm@debian.org>
Cc: 411425-quiet@bugs.debian.org
Subject: Re: ITA: scheme48 -- A simple, modular, and lightweight Scheme implementation
Date: Mon, 26 Nov 2007 05:58:43 +1100
[Message part 1 (text/plain, inline)]
On Sun, Nov 25, 2007 at 02:38:23PM +0100, Bart Martens wrote:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=411425
> Still looking for a sponsor ?  Can I help ?

Yes & yes.
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #49 received at 411425-quiet@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 411425-quiet@bugs.debian.org
Cc: trentbuck@gmail.com, bartm@debian.org
Subject: ITA: scheme48 -- A simple, modular, and lightweight Scheme implementation
Date: Sun, 11 May 2008 18:42:13 +0300
Hi,

Do you still need a sponsor? It looks like Bartm still hasn't had time
to sponsor it.. I'm looking for getting #46987 fixed.

-- 
"rm -rf" only sounds scary if you don't have backups




Information stored:
Bug#411425; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #54 received at 411425-quiet@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 411425-quiet@bugs.debian.org, bartm@debian.org
Subject: Re: ITA: scheme48 -- A simple, modular, and lightweight Scheme implementation
Date: Mon, 12 May 2008 10:25:46 +1000
On Sun, May 11, 2008 at 06:42:13PM +0300, Riku Voipio wrote:
> Do you still need a sponsor? It looks like Bartm still hasn't had
> time to sponsor it.. I'm looking for getting #46987 fixed.

Yes, I still need a sponsor.

After uploading the 1.7 package, I'll need to update it to upstream's
latest (1.8).




Reply sent to trentbuck@gmail.com (Trent W. Buck):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jorgen Schaefer <forcer@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 411425-close@bugs.debian.org (full text, mbox):

From: trentbuck@gmail.com (Trent W. Buck)
To: 411425-close@bugs.debian.org
Subject: Bug#411425: fixed in scheme48 1.7-1
Date: Mon, 12 May 2008 11:02:05 +0000
Source: scheme48
Source-Version: 1.7-1

We believe that the bug you reported is fixed in the latest version of
scheme48, which is due to be installed in the Debian FTP archive:

cmuscheme48-el_1.7-1_all.deb
  to pool/main/s/scheme48/cmuscheme48-el_1.7-1_all.deb
scheme48-doc_1.7-1_all.deb
  to pool/main/s/scheme48/scheme48-doc_1.7-1_all.deb
scheme48-scm_1.7-1_all.deb
  to pool/main/s/scheme48/scheme48-scm_1.7-1_all.deb
scheme48_1.7-1.diff.gz
  to pool/main/s/scheme48/scheme48_1.7-1.diff.gz
scheme48_1.7-1.dsc
  to pool/main/s/scheme48/scheme48_1.7-1.dsc
scheme48_1.7-1_i386.deb
  to pool/main/s/scheme48/scheme48_1.7-1_i386.deb
scheme48_1.7.orig.tar.gz
  to pool/main/s/scheme48/scheme48_1.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 411425@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Trent W. Buck <trentbuck@gmail.com> (supplier of updated scheme48 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 26 Nov 2007 21:39:41 +1100
Source: scheme48
Binary: scheme48 scheme48-doc scheme48-scm cmuscheme48-el
Architecture: source all i386
Version: 1.7-1
Distribution: unstable
Urgency: low
Maintainer: Trent W. Buck <trentbuck@gmail.com>
Changed-By: Trent W. Buck <trentbuck@gmail.com>
Description: 
 cmuscheme48-el - Emacs mode specialized for Scheme48
 scheme48   - A simple, modular, and lightweight Scheme implementation
 scheme48-doc - Documentation for the Scheme48 implementation of Scheme
 scheme48-scm - Sources for the Scheme48 implementation of Scheme
Closes: 410401 411425 451063 469873
Changes: 
 scheme48 (1.7-1) unstable; urgency=low
 .
   * New upstream release (closes: #410401).
   * New maintainer (closes: #411425, #451063).
   * debian/control (cmuscheme48-el): update Emacs dependency.
   * debian/patches: resolve merge conflicts (fuzz, offsets, &c).
   * debian/copyright: since I can never tell how pedantic license
     declaration must be, I have opted to be maximally pedantic.
   * Riku Voipio: add armeb, armel and sh4 to architecture list, closes: #469873
Checksums-Sha1: 
 19e48897a83932c72c8d8a82c666c2efce019c15 1057 scheme48_1.7-1.dsc
 2f1949f5179c52b2ebc007808985874884c16875 2637325 scheme48_1.7.orig.tar.gz
 261384bccae65dee5174290d802d44df20e655ab 15519 scheme48_1.7-1.diff.gz
 35c7cc430aaa18d4b0c3157a1aaf37f9c1c70cb8 558726 scheme48-doc_1.7-1_all.deb
 1e9a3b4965be7100788a56556e3e827144fd48d2 758434 scheme48-scm_1.7-1_all.deb
 98e557e7a90d1caaa5ef96ea30979fecae8da8a9 13728 cmuscheme48-el_1.7-1_all.deb
 fe52e11e966230e0a5f6e2ab5ba0d324eded8d05 1322134 scheme48_1.7-1_i386.deb
Checksums-Sha256: 
 ec87be1194c92fe183d5802782c72e48b33a26fecaf5bbba49596b24deb3d8ac 1057 scheme48_1.7-1.dsc
 fd1386a84277c3abc562a6c8e1181ea6309f45f3508a21b00e22a6582dc37045 2637325 scheme48_1.7.orig.tar.gz
 3b917e2d4a7561e2c89dcfef5013502776ecb5160db83da036400479ce907a7c 15519 scheme48_1.7-1.diff.gz
 ca6bf1fc2308f53491b55e658eac81869d0ee32b7ca62b29c504c533356c4dc2 558726 scheme48-doc_1.7-1_all.deb
 6d7bd4cc557ff57cb1e24cd946e070c66a9a6575aae0e040c2f6fc26d2bbf895 758434 scheme48-scm_1.7-1_all.deb
 662b2c51837ab5d7100d386b09e71b6eced823a78d7a936d5321c5e13169568c 13728 cmuscheme48-el_1.7-1_all.deb
 1ae472799a74cafd94894073dd61f95a5a7d642dd44616910cbd0338af233451 1322134 scheme48_1.7-1_i386.deb
Files: 
 869368d7b05e6eb836684de1b467edca 1057 interpreters optional scheme48_1.7-1.dsc
 62019de0f92ed2a353289d19a8e3c835 2637325 interpreters optional scheme48_1.7.orig.tar.gz
 cf82a9f7a6a0359210c19392c5fd0b94 15519 interpreters optional scheme48_1.7-1.diff.gz
 5e49185603e1e7aaead99daac9a0cf7c 558726 interpreters optional scheme48-doc_1.7-1_all.deb
 2b1ef80908572aac51eb89a81f023067 758434 interpreters optional scheme48-scm_1.7-1_all.deb
 28a1934cf891648e7d43d00dc6976142 13728 interpreters optional cmuscheme48-el_1.7-1_all.deb
 5a8e94f1f7bca093ea079f4afcc12107 1322134 interpreters optional scheme48_1.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIKBd0ibPvMsrqrwMRAiBSAKDVtlkf7FC9fdz3EF0BWveT26eJjACeNRJe
tUhtTyGi957orcdwHbS/80I=
=0ShC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 11:35:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:57:15 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.